import logging
import utilities_script

class praxis_logger():
    def init(self, name):
        super().__init__()
        self.logName = "logs/" + name + ".log"
        utilities_script.get_dir("logs")
        logging.basicConfig(filename=self.logName, level=logging.DEBUG)
        logging.info('Application running!')

    def log(self, msg):
        print(self.logName, msg)
        logging.info(msg)